package com.bonus.canteen.core.allocation.flow.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("flow_definition_area")
@ApiModel(
   value = "FlowDefinitionArea对象",
   description = ""
)
public class FlowDefinitionArea implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   @ApiModelProperty("模板 id")
   private Long definitionId;
   @ApiModelProperty("区域 id")
   private Long areaId;

   public Integer getId() {
      return this.id;
   }

   public Long getDefinitionId() {
      return this.definitionId;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public FlowDefinitionArea setId(final Integer id) {
      this.id = id;
      return this;
   }

   public FlowDefinitionArea setDefinitionId(final Long definitionId) {
      this.definitionId = definitionId;
      return this;
   }

   public FlowDefinitionArea setAreaId(final Long areaId) {
      this.areaId = areaId;
      return this;
   }
}
